Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch
Class HeurMixedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.atomikos.icatch.HeurMixedException

All Implemented Interfaces:
  Serializable

    public class HeurMixedException

extends Exception

A heuristic extension supporting messages.

See Also:
  Serialized Form

Field Summary
`protected HeuristicMessage[]` | `aborts_`
`protected HeuristicMessage[]` | `commits_`
`protected HeuristicMessage[]` | `msgs_`

Constructor Summary
`HeurMixedException(HeuristicMessage[] msgs)` Constructor.
`HeurMixedException(HeuristicMessage[] aborts, HeuristicMessage[] commits)` Constructor.

Method Summary
`HeuristicMessage[]` | `getHeuristicCommitMessages()` Get any heuristic commit messages.
`HeuristicMessage[]` | `getHeuristicMessages()` Get all heuristic messages.
`HeuristicMessage[]` | `getHeuristicRollbackMessages()` Get any heuristic rollback messages.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### aborts_

    protected HeuristicMessage[] aborts_

### commits_

    protected HeuristicMessage[] commits_

### msgs_

    protected HeuristicMessage[] msgs_

Constructor Detail

### HeurMixedException

    public HeurMixedException(HeuristicMessage[] msgs)

  Constructor.

  Parameters:
    `msgs` - the heuristic messages. or null if none.

### HeurMixedException

    public HeurMixedException(HeuristicMessage[] aborts,
                              HeuristicMessage[] commits)

  Constructor.

  Parameters:
    `aborts` - an array of heuristic abort messages,
    `commits` - the heuristic commit messages. or null if none.

Method Detail

### getHeuristicRollbackMessages

    public HeuristicMessage[] getHeuristicRollbackMessages()

  Get any heuristic rollback messages.

  Returns:
    HeuristicMessage[] A list of rollback messages, or null if none. NOTE: if one-argument constructor was used, this returns null.

### getHeuristicCommitMessages

    public HeuristicMessage[] getHeuristicCommitMessages()

  Get any heuristic commit messages.

  Returns:
    HeuristicMessage[] A list of commit messages, or null if none. NOTE: if one-argument constructor was used, this will be null.

### getHeuristicMessages

    public HeuristicMessage[] getHeuristicMessages()

  Get all heuristic messages.

  Returns:
    HeuristicMessage[] A list of mixed messages, or null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.